Package org.apache.struts2.conversion

# Class StrutsConversionPropertiesProcessor

java.lang.Object
org.apache.struts2.conversion.StrutsConversionPropertiesProcessor

All Implemented Interfaces:
  `ConversionPropertiesProcessor`, `EarlyInitializable`, `Initializable`

public class StrutsConversionPropertiesProcessor extends Object implements ConversionPropertiesProcessor, EarlyInitializable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsConversionPropertiesProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init()`
  Use this method to initialise your bean, the whole dependency graph was already built
  `void`
  `loadConversionProperties(String propsName, boolean require)`
  `void`
  `process(String propsName)`
  Process given property to load converters as not required (Properties file doesn't have to exist)
  `void`
  `processRequired(String propsName)`
  Process given property to load converters as required (Properties file must exist)
  `void`
  `setTypeConverterCreator(TypeConverterCreator converterCreator)`
  `void`
  `setTypeConverterHolder(TypeConverterHolder converterHolder)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StrutsConversionPropertiesProcessor

    public StrutsConversionPropertiesProcessor()

- ## Method Details

  - ### setTypeConverterCreator

    public void setTypeConverterCreator(TypeConverterCreator converterCreator)

  - ### setTypeConverterHolder

    public void setTypeConverterHolder(TypeConverterHolder converterHolder)

  - ### init

    public void init()
    Description copied from interface: `Initializable`
    Use this method to initialise your bean, the whole dependency graph was already built
    Specified by:
      `init` in interface `Initializable`

  - ### process

    public void process(String propsName)
    Description copied from interface: `ConversionPropertiesProcessor`
    Process given property to load converters as not required (Properties file doesn't have to exist)
    Specified by:
      `process` in interface `ConversionPropertiesProcessor`
    Parameters:
      `propsName` - Properties file name

  - ### processRequired

    public void processRequired(String propsName)
    Description copied from interface: `ConversionPropertiesProcessor`
    Process given property to load converters as required (Properties file must exist)
    Specified by:
      `processRequired` in interface `ConversionPropertiesProcessor`
    Parameters:
      `propsName` - Properties file name

  - ### loadConversionProperties

    public void loadConversionProperties(String propsName, boolean require)